# It seems that RPM packages often register thir logrotate statements; however,
# these may be based on log locations that differ from the ones used.
# The following code removes any existing logrotate configuration
file '/etc/logrotate.conf' do
  action :delete
end

directory '/etc/logrotate.d' do
  recursive true
  action :delete
end

include_recipe 'logrotate::global'

execute 'set-logrotate-hourly' do
  command 'mv -f /etc/cron.daily/logrotate /etc/cron.hourly'
  only_if 'test -f /etc/cron.daily/logrotate'
end
